summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0037policy_variable_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0037policy_variable_1')
-rwxr-xr-xtests/shell/testcases/chains/0037policy_variable_118
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0037policy_variable_1 b/tests/shell/testcases/chains/0037policy_variable_1
new file mode 100755
index 00000000..ae35516c
--- /dev/null
+++ b/tests/shell/testcases/chains/0037policy_variable_1
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Tests use of variables in chain policy
+
+set -e
+
+RULESET="
+define default_policy = { 127.0.0.1 }
+
+table inet global {
+ chain prerouting {
+ type filter hook prerouting priority filter
+ policy \$default_policy
+ }
+}"
+
+$NFT -f - <<< "$RULESET" && exit 1
+exit 0